package BaseDeDatos;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

import Common.ServicioDatosInterface;

public class BaseDeDatos {
	public static void main (String [] args) throws Exception {
		ServicioDatosImpl servicioDatosImpl = new ServicioDatosImpl ();
		ServicioDatosInterface remoteServicioDatos = (ServicioDatosInterface) UnicastRemoteObject.exportObject (servicioDatosImpl, 8888);
		Registry registryServicioDatos = LocateRegistry.getRegistry ();
		registryServicioDatos.rebind("servicioDatos", remoteServicioDatos);
		System.out.println ("Servicio de datos preparado, presione enter para terminar");
		ArrayList <String> listaNicks = new ArrayList <String> ();
		Map <String, String> nombre = new HashMap <String, String> ();
		Map <String, String> email = new HashMap <String, String> ();
		Map <String, String> passwordNick = new HashMap <String, String> ();
		System.in.read ();
		registryServicioDatos.unbind("servicioDatos");
		UnicastRemoteObject.unexportObject (servicioDatosImpl, true);
		System.out.println ("Servicio de datos cerrado");
	}
}